2.4.4 failed ("pkg-static: cached package php72-pear-1.10.5_1: size mismatch, cannot continue Failed")



  • So I waited and decided that it was time to upgrade today and ... it failed :(

    I see "pkg-static: cached package php72-pear-1.10.5_1: size mismatch, cannot continue
    Failed" and that's it !

    See full log here https://pastebin.com/k3HHkmfY

    Any clues appreciated !

    PS: Good thing my system is still up and running.



  • For reference "Call to undefined function init_config_arr() in /usr/local/pkg/shellcmd.inc on line 114" is =>

    114 init_config_arr(array('installedpackages', 'shellcmdsettings', 'config'));



  • Seems like "sudo pkg update -f" fixed the problem